Workspace Managed Sql Server Dedicated SQL Minimal Tls Settings - Update
更新服务器的 tls 设置。
更新工作区托管 SQL Server 的最小 tls 设置。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/dedicatedSQLminimalTlsSettings/default?api-version=2021-06-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
dedicated
|
path | True |
专用 SQL 最小 tls 设置的名称。 |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
workspace
|
path | True |
string |
工作区的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.minimalTlsVersion |
string |
SQL Server 的最低 tls 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功更新专用 SQL 最小 tls 设置。 |
|
| 202 Accepted |
已接受 |
|
| Other Status Codes |
错误响应: ***
|
示例
Update tls version of the workspace managed sql server
示例请求
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/workspace-6852/providers/Microsoft.Synapse/workspaces/workspace-2080/dedicatedSQLminimalTlsSettings/default?api-version=2021-06-01
{
"properties": {
"minimalTlsVersion": "1.1"
}
}
示例响应
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/workspace-6852/providers/Microsoft.Synapse/workspaces/workspace-2080/dedicatedSQLminimalTlsSettings/default",
"name": "default",
"type": "Microsoft.Synapse/workspaces/dedicatedSQLminimalTlsSettings",
"properties": {
"minimalTlsVersion": "1.1"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Dedicated |
专用 Sql 最小 Tls 设置信息 |
|
Dedicated |
专用 SQL 最小 tls 设置的名称。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
DedicatedSQLminimalTlsSettings
专用 Sql 最小 Tls 设置信息
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
资源位置。 |
| name |
string |
资源的名称 |
| properties.minimalTlsVersion |
string |
SQL Server 的最低 tls 版本。 |
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
DedicatedSQLMinimalTlsSettingsName
专用 SQL 最小 tls 设置的名称。
| 值 | 说明 |
|---|---|
| default |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |